{% macro show_project(project) %}
<tr>
  <td>{{project.id}}</td>
  <td>{{project.name}}</td>
  <td>{{project.year}}</td>
  <td>{{project.professor.firstname}} {{project.professor.lastname}}</td>
  <td>
    <a type="button" href="{{url_for('project.view',id=project.id)}}" class="btn btn-success">View</a>
  </td>
</tr>
{% endmacro %}

{% macro show_card_project(project) %}
<div class="card" style="width: 18rem;">
     <ul class="list-group list-group-flush">
        <li class="list-group-item"><b>Name: </b>{{project.name}}</li>
        <li class="list-group-item"><b>Year: </b>{{project.year}}</li>
        <li class="list-group-item"><b>Professor: </b>{{project.professor.firstname}} {{project.professor.lastname}}</li>
      </ul>
      {%  if project.inscriptions %}
      <ul class="list-group list-group-flush">
        <li class="list-group-item"><b>Inscriptions</b></li>
        {% for inscription in project.inscriptions %}
        <li class="list-group-item">{{inscription.professor.firstname}} {{inscription.professor.lastname}}</li>
        {% endfor %}
      {% endif %}
</div>
{% endmacro %}
